full.score {mgcv} | R Documentation

## GCV/UBRE score for use withn nlm

### Description

`gam` allows the option to `polish' smoothing parameter estimates by minimising the GCV/UBRE score calculated at convergence of the IRLS algorithm, given a set of smoothing parameters, rather than using the `performance iteration' method which estimates smoothing parameters within the IRLS loop. The estimates are often slightly different, since the power iteration effectively neglects the depedence of the iterative weights on the smoothing parameters.

The `polishing' optimization is fairly crude and numerically costly. `nlm` is used to minimize the scores with respect to the smoothin parameters, and this routine is designed to be supplied to it as an argument.

This is basically a service routine for `gam`, and is not usually called directly by users.

### Usage

    full.score(sp,G,family,control,gamma)

### Arguments

`sp` | The logs of the smoothing parameters
`G` | a list reurned by `GAMsetup`
`family` | The family object for the GAM.
`control` | a list returned be `gam.control`
`gamma` | the degrees of freedom inflation factor (usually 1).

### Value

The value of the GCV/UBRE score, with attribute `"full.gam.object"` which is the full object returned by `gam.fit`.

### Author(s)

Simon N. Wood simon@stats.gla.ac.uk

[Package Contents]